php (SSA:2012-204-01) update for Slackware
Posted on: 07/23/2012 10:41 AM

New php packages are available for Slackware 12.0, 12.1, 12.2, 13.0, 13.1, 13.37, and -current to fix a security issue.

Here are the details from the Slackware 13.37 ChangeLog:
patches/packages/php-5.3.15-i486-1_slack13.37.txz: Upgraded.
Fixed potential overflow in _php_stream_scandir (CVE-2012-2688).
(Thanks to Jason Powell, Stas)
For more information, see:
(* Security fix *)

Where to find the new packages:

Thanks to the friendly folks at the OSU Open Source Lab
( for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on for
additional mirror sites near you.

Updated package for Slackware 12.0:

Updated package for Slackware 12.1:

Updated package for Slackware 12.2:

Updated package for Slackware 13.0:

Updated package for Slackware x86_64 13.0:

Updated package for Slackware 13.1:

Updated package for Slackware x86_64 13.1:

Updated package for Slackware 13.37:

Updated package for Slackware x86_64 13.37:

Updated package for Slackware -current:

Updated package for Slackware x86_64 -current:

MD5 signatures:

Slackware 12.0 package:
301d8b0a7022a652b56c12f2e7907c0c php-5.3.15-i486-1_slack12.0.tgz

Slackware 12.1 package:
1e3e081bef9e945f179395da2e67392c php-5.3.15-i486-1_slack12.1.tgz

Slackware 12.2 package:
8131db9a666e327f7afc0356208c57ea php-5.3.15-i486-1_slack12.2.tgz

Slackware 13.0 package:
1f84307bd0492300bdbc3bda1cda0cfa php-5.3.15-i486-1_slack13.0.txz

Slackware x86_64 13.0 package:
1b0dddcd12bcdcd8ffaefac6a50bb5e6 php-5.3.15-x86_64-1_slack13.0.txz

Slackware 13.1 package:
7f04ac2bd39f45fbcb9dc8013df5f6a8 php-5.3.15-i486-1_slack13.1.txz

Slackware x86_64 13.1 package:
46959f30b4532a0ca0fc22e91dcb9f6b php-5.3.15-x86_64-1_slack13.1.txz

Slackware 13.37 package:
80d9351af3bbd9a1cf2a8574e2df4304 php-5.3.15-i486-1_slack13.37.txz

Slackware x86_64 13.37 package:
30c6a34e55f77143f768fe6ae43caa06 php-5.3.15-x86_64-1_slack13.37.txz

Slackware -current package:
e4dd41a890cde64e19e41d31c8447fa8 n/php-5.4.5-i486-1.txz

Slackware x86_64 -current package:
8329be52ae2863aba8b2155c568b25df n/php-5.4.5-x86_64-1.txz

Installation instructions:

Upgrade the package as root:
# upgradepkg php-5.3.15-i486-1_slack13.37.txz

Then, restart Apache httpd:
# /etc/rc.d/rc.httpd stop
# /etc/rc.d/rc.httpd start


Slackware Linux Security Team

Printed from Linux Compatible (